Bug 1571863

Summary: Issue with remote command execution
Product: [Community] Spacewalk Reporter: swsupp
Component: ServerAssignee: Michael Mráka <mmraka>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Red Hat Satellite QA List <satellite-qa-list>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 2.7CC: mmraka, swsupp
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-09-16 12:16:59 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description swsupp 2018-04-25 14:46:00 UTC
Description of problem:

I have setup a Spacewalk 2.7 Proof of Concept server but having issues with executing some remote commands. Please see brief details below:

Scenario 1/Client Test System 1 (CentOS 6)
Executing general test commands, like “date” or “df -h” complete immediately. However, when I run any “yum” commands they fail with the following error:

                Script killed, timeout of 600 seconds exceeded


Scenario2/Client Test System 2 (CentOS 6)
Any commands remain in a “Pending” state. However, I’ve found they are picked up fairly quickly if I re-start the Spacewalk app (spacewalk-service restart).

If anyone could offer any advice it would be appreciated.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Select relevant system
2. Click remote command
3. Add relevant command to script box
4. Click schedule

Actual results:

Scenario 1/Client Test System 1

System

Failed

Message


 [IP Removed].us-west-2.compute.internal  4/25/18 9:36:21 AM GMT  Script killed, timeout of 600 seconds exceeded  



Expected results:
Command should return relevant output/action

Additional info:

Comment 1 Tomáš Kašpárek 2018-05-04 06:14:11 UTC
Hello,

could you please try to schedule an action then pick it up on client with "rhn_check -vvv" and provide me the output?

Thank you

Comment 2 Michael Mráka 2019-09-16 12:16:59 UTC
This issue has been closed because it is missing requested data for a long time.
If you are still able to see it on your setup you are encouraged
to update the reproducer and reopen it.